diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/packet-sink-helper.h ns-3.43/src/applications/helper/packet-sink-helper.h
--- ns-3.42/src/applications/helper/packet-sink-helper.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/packet-sink-helper.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/three-gpp-http-helper.cc ns-3.43/src/applications/helper/three-gpp-http-helper.cc
--- ns-3.42/src/applications/helper/three-gpp-http-helper.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/three-gpp-http-helper.cc	2024-10-09 16:41:09.848655700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original work author (from packet-sink-helper.cc):
  * - Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/three-gpp-http-helper.h ns-3.43/src/applications/helper/three-gpp-http-helper.h
--- ns-3.42/src/applications/helper/three-gpp-http-helper.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/three-gpp-http-helper.h	2024-10-09 16:41:09.848655700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original work author (from packet-sink-helper.cc):
  *   - Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/udp-client-server-helper.cc ns-3.43/src/applications/helper/udp-client-server-helper.cc
--- ns-3.42/src/applications/helper/udp-client-server-helper.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/udp-client-server-helper.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/udp-client-server-helper.h ns-3.43/src/applications/helper/udp-client-server-helper.h
--- ns-3.42/src/applications/helper/udp-client-server-helper.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/udp-client-server-helper.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/udp-echo-helper.cc ns-3.43/src/applications/helper/udp-echo-helper.cc
--- ns-3.42/src/applications/helper/udp-echo-helper.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/udp-echo-helper.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/udp-echo-helper.h ns-3.43/src/applications/helper/udp-echo-helper.h
--- ns-3.42/src/applications/helper/udp-echo-helper.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/udp-echo-helper.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/application-packet-probe.cc ns-3.43/src/applications/model/application-packet-probe.cc
--- ns-3.42/src/applications/model/application-packet-probe.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/application-packet-probe.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/application-packet-probe.h ns-3.43/src/applications/model/application-packet-probe.h
--- ns-3.42/src/applications/model/application-packet-probe.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/application-packet-probe.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/bulk-send-application.cc ns-3.43/src/applications/model/bulk-send-application.cc
--- ns-3.42/src/applications/model/bulk-send-application.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/bulk-send-application.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Georgia Institute of Technology
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George F. Riley <riley@ece.gatech.edu>
  */
@@ -28,6 +17,7 @@
 #include "ns3/simulator.h"
 #include "ns3/socket-factory.h"
 #include "ns3/socket.h"
+#include "ns3/tcp-socket-base.h"
 #include "ns3/tcp-socket-factory.h"
 #include "ns3/trace-source-accessor.h"
 #include "ns3/uinteger.h"
@@ -94,7 +84,12 @@
             .AddTraceSource("TxWithSeqTsSize",
                             "A new packet is created with SeqTsSizeHeader",
                             MakeTraceSourceAccessor(&BulkSendApplication::m_txTraceWithSeqTsSize),
-                            "ns3::PacketSink::SeqTsSizeCallback");
+                            "ns3::PacketSink::SeqTsSizeCallback")
+            .AddTraceSource("TcpRetransmission",
+                            "The TCP socket retransmitted a packet",
+                            MakeTraceSourceAccessor(&BulkSendApplication::m_retransmissionTrace),
+                            "ns3::TcpSocketBase::RetransmissionCallback");
+
     return tid;
 }
 
@@ -196,6 +191,13 @@
         m_socket->SetConnectCallback(MakeCallback(&BulkSendApplication::ConnectionSucceeded, this),
                                      MakeCallback(&BulkSendApplication::ConnectionFailed, this));
         m_socket->SetSendCallback(MakeCallback(&BulkSendApplication::DataSend, this));
+        Ptr<TcpSocketBase> tcpSocket = DynamicCast<TcpSocketBase>(m_socket);
+        if (tcpSocket)
+        {
+            tcpSocket->TraceConnectWithoutContext(
+                "Retransmission",
+                MakeCallback(&BulkSendApplication::PacketRetransmitted, this));
+        }
     }
     if (m_connected)
     {
@@ -342,4 +344,15 @@
     }
 }
 
+void
+BulkSendApplication::PacketRetransmitted(Ptr<const Packet> p,
+                                         const TcpHeader& header,
+                                         const Address& localAddr,
+                                         const Address& peerAddr,
+                                         Ptr<const TcpSocketBase> socket)
+{
+    NS_LOG_FUNCTION(this << p << header << localAddr << peerAddr << socket);
+    m_retransmissionTrace(p, header, localAddr, peerAddr, socket);
+}
+
 } // Namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/bulk-send-application.h ns-3.43/src/applications/model/bulk-send-application.h
--- ns-3.42/src/applications/model/bulk-send-application.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/bulk-send-application.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Georgia Institute of Technology
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George F. Riley <riley@ece.gatech.edu>
  */
@@ -33,6 +22,8 @@
 
 class Address;
 class Socket;
+class TcpHeader;
+class TcpSocketBase;
 
 /**
  * \ingroup applications
@@ -137,6 +128,14 @@
     /// Traced Callback: sent packets
     TracedCallback<Ptr<const Packet>> m_txTrace;
 
+    /// Traced Callback: retransmitted packets
+    TracedCallback<Ptr<const Packet>,
+                   const TcpHeader&,
+                   const Address&,
+                   const Address&,
+                   Ptr<const TcpSocketBase>>
+        m_retransmissionTrace;
+
     /// Callback for tracing the packet Tx events, includes source, destination,  the packet sent,
     /// and header
     TracedCallback<Ptr<const Packet>, const Address&, const Address&, const SeqTsSizeHeader&>
@@ -162,6 +161,20 @@
      * \param unused actually unused
      */
     void DataSend(Ptr<Socket> socket, uint32_t unused);
+
+    /**
+     *  \brief Packet retransmitted (called by TcpSocketBase sockets via callback)
+     *  \param p the retransmitted packet
+     *  \param header the TCP header
+     *  \param localAddr the local address
+     *  \param peerAddr the peer address
+     *  \param socket the socket that retransmitted the packet
+     */
+    void PacketRetransmitted(Ptr<const Packet> p,
+                             const TcpHeader& header,
+                             const Address& localAddr,
+                             const Address& peerAddr,
+                             Ptr<const TcpSocketBase> socket);
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/onoff-application.cc ns-3.43/src/applications/model/onoff-application.cc
--- ns-3.42/src/applications/model/onoff-application.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/onoff-application.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: George F. Riley<riley@ece.gatech.edu>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/onoff-application.h ns-3.43/src/applications/model/onoff-application.h
--- ns-3.42/src/applications/model/onoff-application.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/onoff-application.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: George F. Riley<riley@ece.gatech.edu>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/packet-loss-counter.cc ns-3.43/src/applications/model/packet-loss-counter.cc
--- ns-3.42/src/applications/model/packet-loss-counter.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/packet-loss-counter.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2009 INRIA, UDCAST
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Amine Ismail <amine.ismail@sophia.inria.fr>
  *                      <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/packet-loss-counter.h ns-3.43/src/applications/model/packet-loss-counter.h
--- ns-3.42/src/applications/model/packet-loss-counter.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/packet-loss-counter.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDCAST
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Amine Ismail <amine.ismail@sophia.inria.fr>
  *                      <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/packet-sink.cc ns-3.43/src/applications/model/packet-sink.cc
--- ns-3.42/src/applications/model/packet-sink.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/packet-sink.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Tom Henderson (tomhend@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/packet-sink.h ns-3.43/src/applications/model/packet-sink.h
--- ns-3.42/src/applications/model/packet-sink.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/packet-sink.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Tom Henderson (tomhend@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/seq-ts-echo-header.cc ns-3.43/src/applications/model/seq-ts-echo-header.cc
--- ns-3.42/src/applications/model/seq-ts-echo-header.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/seq-ts-echo-header.cc	2024-10-09 16:41:09.848655700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 INRIA
  * Copyright (c) 2016 Universita' di Firenze (added echo fields)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/seq-ts-echo-header.h ns-3.43/src/applications/model/seq-ts-echo-header.h
--- ns-3.42/src/applications/model/seq-ts-echo-header.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/seq-ts-echo-header.h	2024-10-09 16:41:09.848655700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 INRIA
  * Copyright (c) 2016 Universita' di Firenze (added echo fields)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/seq-ts-header.cc ns-3.43/src/applications/model/seq-ts-header.cc
--- ns-3.42/src/applications/model/seq-ts-header.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/seq-ts-header.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/seq-ts-header.h ns-3.43/src/applications/model/seq-ts-header.h
--- ns-3.42/src/applications/model/seq-ts-header.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/seq-ts-header.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/seq-ts-size-header.cc ns-3.43/src/applications/model/seq-ts-size-header.cc
--- ns-3.42/src/applications/model/seq-ts-size-header.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/seq-ts-size-header.cc	2024-10-09 16:41:09.848655700 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2018 Natale Patriciello <natale.patriciello@gmail.com>
  *                    (added timestamp and size fields)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/seq-ts-size-header.h ns-3.43/src/applications/model/seq-ts-size-header.h
--- ns-3.42/src/applications/model/seq-ts-size-header.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/seq-ts-size-header.h	2024-10-09 16:41:09.848655700 -0700
@@ -3,18 +3,7 @@
  *   Copyright (c) 2018 Natale Patriciello <natale.patriciello@gmail.com>
  *                      (added timestamp and size fields)
  *
- *   This program is free software; you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License version 2 as
- *   published by the Free Software Foundation;
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *   SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef SEQ_TS_SIZE_HEADER_H
